/* ........................................................................
 *
 * Copyright Alejandro Calderon (1997-1998)
 * <acaldero@laurel.datsi.fi.upm.es>
 *
 * permission is hereby granted to copy, modify and redistribute this code
 * in terms of the GNU Library General Public License, Version 2 or later,
 * at your option.
 *
 * ........................................................................ */



   /* ... Package ....................................................... */

      package wtool.vp ;


   /* ... Import ........................................................ */

      import java.lang.* ;

      import wtool.base.* ;
      import wtool.app.* ;


   /* ... Class ......................................................... */


      public class cPop3Server extends cVpServer
      {
        cPop3ServerCommand  pop3c ;


        cPop3Server ( )
        {
          super() ;
          pop3c = null ;
        }


        public void openConnection ( cUrl    urlHost,
                                     cIdent  identification )
        {
          try
          {
            /* ... connection ... */
            pop3c = new cPop3ServerCommand() ;
            pop3c.connect(urlHost.getURL().getHost(),
                          urlHost.getURL().getPort()) ;
   
            /* ... intro ... */
            pop3c.user(identification.getUser()) ;
            pop3c.pass(identification.getPass()) ;
     
            /* ... end ... */
            this.connected = true ;
          }
          catch ( Exception e )
          {
            appLog.system.print( "(" + this + ")" + e ) ;
            e.printStackTrace() ;
          }
        }

        public void closeConnection ( )
        {
          this.host = null ;
          if (super.connected == true)
             {
               pop3c.close() ;
               pop3c = null ;
               super.connected = false ;
             }
        }

        public cPop3ServerCommand getServerCommand ( )
        {
          return this.pop3c ;
        }

      }


   /* ................................................................... */

